Subject: Pine 3.85/3.87 problem with Solaris

From: Starlink Software Librarian <[email-masked]>
Date: Tue, 12 Oct 1993 15:39:05 +0100 (BST)

I have built Pine 3.85, (3.86) and 3.87 for our multi-host-type
system,  and mostly it works quite well. We have the following setup:

3 x DECstation/Ultrix 4.2a
1 x DECstation/Ultrix 4.3
1 x Sun Sparc/SunOS 4.1.2
2 x Sun Sparc/Solaris 2.2
1 x DEC Alpha/OSF 1.2
2 x HP 9000/HPUX 8.07

Mail lives on the Sun running SunOS 4.1.2. It exports its
/var/spool/mail to the other machines in the group management domain.
The other machines  mount the directory over their own mail directory
usinh the NFS automounter. The sun has the following in its
/etc/exports:

	/var/spool/mail -rw=client1:client2:etc

(giving the names of our village of machines.)

All the user accounts reside mainly on disks NFS automounted around
the  system, chiefly on disks attached to the DECstations. 

The problem is this: 

For the Solaris machines, the user cannot access any of his mail
folders,  including INBOX. Pine locks up and refuses to do anything;
kill -9 being  the only way to dispatch pine AND its parent shell. The
lock occurs  immediately the access is tried: viewing folders or at
send time after  composing and mailing a message. The message itself
is mailed and arrive  ok at the other end (a VAX). Pine appears to
sleep and not wake up.

Only one user is able to use Pine on Solaris and his home directory is
on  a disk served by one of the Solaris machines. The rest of us are
stuck, resorting to the other machines for mail work.

Has anyone seen this sort of behaviour? I can supply debug logs and 
system call logs.

>From reading the pine-info list, I gather using imap may be the only
way out, but I'd rather not let Pine get too complicated and inflict
imap on our users when we have such a tightly coupled system. 

We have ~1600 users at ~25 sites around the UK waiting for Pine and 
most or the sites using similarly coupled systems, I'm hopefull that
this is a local system problem.

Cheers, Martin.

--
  ---------------------------------------------------------------------------
        Martin Bly,                     | Internet: [email-masked]
        Starlink Software Librarian     | Janet:    [email-masked]
        Starlink, RAL, Chilton, DIDCOT  | DECNET:   RLVAD::USSC (19457)
        OXON, OX11 0QX, United Kingdom. | Tel:      +44 (0)235 445363
  ---------------------------------------------------------------------------